﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleFile1
{
    class Program
    {
      
        static void escreveTabuada()
        {
            FileStream arq = new FileStream("tabuada.txt", FileMode.Create);
            StreamWriter writer = new StreamWriter(arq);

            writer.WriteLine("Tabuada");
            writer.WriteLine();
            for (int i = 1; i < 10; i++)
            {
                for (int j = 1; j <= 10; j++)
                {
                    writer.WriteLine("{0,2} x {1,2} = {2,2}", i, j, i * j);
                }
                writer.WriteLine();
            }

            writer.Close();

            arq.Close();
        }

        static void leTabuada()
        {
            FileStream arq = new FileStream("tabuada.txt", FileMode.Open);
            StreamReader reader = new StreamReader(arq);

            string linha;

            do
            {
                linha = reader.ReadLine();
                if (linha != null)
                {
                    Console.WriteLine(linha);
                }
            } while (linha != null);

            reader.Close();

            arq.Close();

        }

        static void leTabuada2()
        {
            FileStream arq = new FileStream("tabuada.txt", FileMode.Open);
            StreamReader reader = new StreamReader(arq);

            string linha;

            while ((linha = reader.ReadLine())!=null) 
            {
                
                    Console.WriteLine(linha);
                
            } 

            reader.Close();

            arq.Close();

        }

        static void teste()
        {
            FileInfo fi;

            DirectoryInfo di = new DirectoryInfo(@"c:\");

            Console.WriteLine(di.FullName);

            FileInfo[] files = di.GetFiles("*.*");

            foreach (FileInfo nome in files)
            {
                Console.WriteLine("{0:-80}, {1}", nome.Name, nome.Extension);
            }

        }

        static void Main(string[] args)
        {
            

            
            //escreveTabuada();
            leTabuada2();
            
        }
    }
}
