﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleFileStream2
{
    class Program
    {
        static void Main(string[] args)
        {

            FileStream arquivo = new FileStream(@"c:\tabuada.txt", FileMode.Create);
            StreamWriter writer = new StreamWriter(arquivo);

            writer.WriteLine("Tabuada");
            writer.WriteLine();
            for (int i = 1; i < 10; i++)
            {
                for (int j = 0; j <= 10; j++)
                {
                    writer.WriteLine("{0,2} x {1,2} = {2,2}", i, j, i * j);
                    Console.WriteLine("{0,2} x {1,2} = {2,2}", i, j, i * j);                   
                }
                writer.WriteLine();
                Console.WriteLine();
            }
            writer.Flush();
            writer.Close();
            arquivo.Close();

            // lê o arquivo


            StreamReader reader = new StreamReader(@"c:\tabuada.txt");

            string linha;
            do
            {
                linha = reader.ReadLine();
                Console.WriteLine(linha);
            } while (linha != null);

            reader.Close();

        }
    }
}
